Freezing when zooming into WMS with scroll wheel
2016-04-05 01:27 AM - David McDermott

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 22581
Description

Good day QGlS'ers,

| have been having trouble with using the scroll wheel to zoom into WMS layer. This is only a problem when trying to zoom in two or more
zoom factors at once. It doesn't produce a minidump, it just freezes meaning to you have to force quit. This is not a problem with other
web plugins like QuickMapService and OpenLayers.

Thanks,

History

#1 - 2016-04-09 07:59 AM - Giovanni Manghi
- Category set to Web Services clients/WMS
- Status changed from Open to Feedback

Please provide a WMS server URL and layer/s name/s.

#2 - 2016-04-11 05:59 AM - David McDermott

Hi Giovanni,

Here are two different WMS feeds that produce the same problem:

http://environment.data.gov.uk/ds/wms?SERVICE=WMS&#38;INTERFACE=ENVIRONMENT--6f51a299-351f-4e30-a5a3-2511da9688{7 &#38;request=
etCapabilities

http://t0.ads.astuntechnology.com/open/osopen/service?REQUEST=GetCapabilities

#3 - 2016-04-11 10:18 AM - Giovanni Manghi

do they work as expected on QGIS 2.8.* ?

#4 - 2016-04-11 12:07 PM - Jukka Rahkonen

I would first check if each wheel click creates a new GetMap request. If it does it may freeze the WMS server. Right thing to do is to wait a while and listen
if the wheel is still scrolled. | am remembering that about 0.2 seconds wait was implemented into OpenJUMP.
http://environment.data.gov.uk/ds/wms?SERVICE=WMS&#38;INTERFACE=ENVIRONMENT--6f51a299-351f-4e30-a5a3-2511da9688f7&#38;request=GetCapabilities
http://environment.data.gov.uk/ds/wms?SERVICE=WMS&#38;INTERFACE=ENVIRONMENT--6f51a299-351f-4e30-a5a3-2511da9688f7&#38;request=GetCapabilities
http://t0.ads.astuntechnology.com/open/osopen/service?REQUEST=GetCapabilities

#5 - 2016-04-12 04:34 AM - David McDermott

Thank you for your responses. | investigated further using Fiddler to look at the web traffic. | found that a 407 error appears shortly before it froze. After
speaking with my IT department they placed me outside the proxy and | disabled the settings in QGIS and the problem seems to have disappeared. | don't
know anything about how this stuff works but my thinking is that the WMS server was unable to authenticate the request before receiving the next one
which caused it to time out.

The removal of the proxy worked for me but it not a solution for all the users in our organisation who cannot be outside the proxy. Therefore, is this a
problem for the WMS provider or QGIS? Can QGIS cache the GetMap requests and decelerate them.

Thanks.

#6 - 2016-04-13 07:56 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Feedback to Closed

The removal of the proxy worked for me but it not a solution for all the users in our organisation who cannot be outside the proxy. Therefore, is this a
problem for the WMS provider or QGIS? Can QGIS cache the GetMap requests and decelerate them.

| don't think that the is any QGSI bug in this case. It maybe be improved for this specific situations, but this is best suited for a feature request.
